function t142_checkSize(recid){var el=$("#rec"+recid).find(".t142__submit");if(el.length){var btnheight=el.height()+5;var textheight=el[0].scrollHeight;if(btnheight<textheight){var btntext=el.text();el.addClass("t142__submit-overflowed");el.html("<span class=\"t142__text\">"+btntext+"</span>")}}}
function t228_highlight(){var url=window.location.href;var pathname=window.location.pathname;if(url.substr(url.length-1)=="/"){url=url.slice(0,-1)}
if(pathname.substr(pathname.length-1)=="/"){pathname=pathname.slice(0,-1)}
if(pathname.charAt(0)=="/"){pathname=pathname.slice(1)}
if(pathname==""){pathname="/"}
$(".t228__list_item a[href='"+url+"']").addClass("t-active");$(".t228__list_item a[href='"+url+"/']").addClass("t-active");$(".t228__list_item a[href='"+pathname+"']").addClass("t-active");$(".t228__list_item a[href='/"+pathname+"']").addClass("t-active");$(".t228__list_item a[href='"+pathname+"/']").addClass("t-active");$(".t228__list_item a[href='/"+pathname+"/']").addClass("t-active")}
function t228_checkAnchorLinks(recid){if($(window).width()>=960){var t228_navLinks=$("#rec"+recid+" .t228__list_item a:not(.tooltipstered)[href*='#']");if(t228_navLinks.length>0){setTimeout(function(){t228_catchScroll(t228_navLinks)},500)}}}
function t228_catchScroll(t228_navLinks){var t228_clickedSectionId=null,t228_sections=new Array(),t228_sectionIdTonavigationLink=[],t228_interval=100,t228_lastCall,t228_timeoutId;t228_navLinks=$(t228_navLinks.get().reverse());t228_navLinks.each(function(){var t228_cursection=t228_getSectionByHref($(this));if(typeof t228_cursection.attr("id")!="undefined"){t228_sections.push(t228_cursection)}
t228_sectionIdTonavigationLink[t228_cursection.attr("id")]=$(this)});t228_updateSectionsOffsets(t228_sections);t228_sections.sort(function(a,b){return b.attr("data-offset-top")-a.attr("data-offset-top")});$(window).bind('resize',t_throttle(function(){t228_updateSectionsOffsets(t228_sections)},200));$('.t228').bind('displayChanged',function(){t228_updateSectionsOffsets(t228_sections)});setInterval(function(){t228_updateSectionsOffsets(t228_sections)},5000);t228_highlightNavLinks(t228_navLinks,t228_sections,t228_sectionIdTonavigationLink,t228_clickedSectionId);t228_navLinks.click(function(){var t228_clickedSection=t228_getSectionByHref($(this));if(!$(this).hasClass("tooltipstered")&&typeof t228_clickedSection.attr("id")!="undefined"){t228_navLinks.removeClass('t-active');$(this).addClass('t-active');t228_clickedSectionId=t228_getSectionByHref($(this)).attr("id")}});$(window).scroll(function(){var t228_now=new Date().getTime();if(t228_lastCall&&t228_now<(t228_lastCall+t228_interval)){clearTimeout(t228_timeoutId);t228_timeoutId=setTimeout(function(){t228_lastCall=t228_now;t228_clickedSectionId=t228_highlightNavLinks(t228_navLinks,t228_sections,t228_sectionIdTonavigationLink,t228_clickedSectionId)},t228_interval-(t228_now-t228_lastCall))}else{t228_lastCall=t228_now;t228_clickedSectionId=t228_highlightNavLinks(t228_navLinks,t228_sections,t228_sectionIdTonavigationLink,t228_clickedSectionId)}})}
function t228_updateSectionsOffsets(sections){$(sections).each(function(){var t228_curSection=$(this);t228_curSection.attr("data-offset-top",t228_curSection.offset().top)})}
function t228_getSectionByHref(curlink){var t228_curLinkValue=curlink.attr("href").replace(/\s+/g,'');if(t228_curLinkValue[0]=='/'){t228_curLinkValue=t228_curLinkValue.substring(1)}
if(curlink.is('[href*="#rec"]')){return $(".r[id='"+t228_curLinkValue.substring(1)+"']")}else{return $(".r[data-record-type='215']").has("a[name='"+t228_curLinkValue.substring(1)+"']")}}
function t228_highlightNavLinks(t228_navLinks,t228_sections,t228_sectionIdTonavigationLink,t228_clickedSectionId){var t228_scrollPosition=$(window).scrollTop(),t228_valueToReturn=t228_clickedSectionId;if(t228_sections.length!=0&&t228_clickedSectionId==null&&t228_sections[t228_sections.length-1].attr("data-offset-top")>(t228_scrollPosition+300)){t228_navLinks.removeClass('t-active');return null}
$(t228_sections).each(function(e){var t228_curSection=$(this),t228_sectionTop=t228_curSection.attr("data-offset-top"),t228_id=t228_curSection.attr('id'),t228_navLink=t228_sectionIdTonavigationLink[t228_id];if(((t228_scrollPosition+300)>=t228_sectionTop)||(t228_sections[0].attr("id")==t228_id&&t228_scrollPosition>=$(document).height()-$(window).height())){if(t228_clickedSectionId==null&&!t228_navLink.hasClass('t-active')){t228_navLinks.removeClass('t-active');t228_navLink.addClass('t-active');t228_valueToReturn=null}else{if(t228_clickedSectionId!=null&&t228_id==t228_clickedSectionId){t228_valueToReturn=null}}
return!1}});return t228_valueToReturn}
function t228_setPath(){}
function t228_setWidth(recid){var window_width=$(window).width();if(window_width>980){$(".t228").each(function(){var el=$(this);var left_exist=el.find('.t228__leftcontainer').length;var left_w=el.find('.t228__leftcontainer').outerWidth(!0);var max_w=left_w;var right_exist=el.find('.t228__rightcontainer').length;var right_w=el.find('.t228__rightcontainer').outerWidth(!0);var items_align=el.attr('data-menu-items-align');if(left_w<right_w)max_w=right_w;max_w=Math.ceil(max_w);var center_w=0;el.find('.t228__centercontainer').find('li').each(function(){center_w+=$(this).outerWidth(!0)});var padd_w=40;var maincontainer_width=el.find(".t228__maincontainer").outerWidth(!0);if(maincontainer_width-max_w*2-padd_w*2>center_w+20){if(items_align=="center"||typeof items_align==="undefined"){el.find(".t228__leftside").css("min-width",max_w+"px");el.find(".t228__rightside").css("min-width",max_w+"px");el.find(".t228__list").removeClass("t228__list_hidden")}}else{el.find(".t228__leftside").css("min-width","");el.find(".t228__rightside").css("min-width","")}})}}
function t228_setBg(recid){var window_width=$(window).width();if(window_width>980){$(".t228").each(function(){var el=$(this);if(el.attr('data-bgcolor-setbyscript')=="yes"){var bgcolor=el.attr("data-bgcolor-rgba");el.css("background-color",bgcolor)}})}else{$(".t228").each(function(){var el=$(this);var bgcolor=el.attr("data-bgcolor-hex");el.css("background-color",bgcolor);el.attr("data-bgcolor-setbyscript","yes")})}}
function t228_appearMenu(recid){var window_width=$(window).width();if(window_width>980){$(".t228").each(function(){var el=$(this);var appearoffset=el.attr("data-appearoffset");if(appearoffset!=""){if(appearoffset.indexOf('vh')>-1){appearoffset=Math.floor((window.innerHeight*(parseInt(appearoffset)/100)))}
appearoffset=parseInt(appearoffset,10);if($(window).scrollTop()>=appearoffset){if(el.css('visibility')=='hidden'){el.finish();el.css("top","-50px");el.css("visibility","visible");var topoffset=el.data('top-offset');if(topoffset&&parseInt(topoffset)>0){el.animate({"opacity":"1","top":topoffset+"px"},200,function(){})}else{el.animate({"opacity":"1","top":"0px"},200,function(){})}}}else{el.stop();el.css("visibility","hidden");el.css("opacity","0")}}})}}
function t228_changebgopacitymenu(recid){var window_width=$(window).width();if(window_width>980){$(".t228").each(function(){var el=$(this);var bgcolor=el.attr("data-bgcolor-rgba");var bgcolor_afterscroll=el.attr("data-bgcolor-rgba-afterscroll");var bgopacityone=el.attr("data-bgopacity");var bgopacitytwo=el.attr("data-bgopacity-two");var menushadow=el.attr("data-menushadow");if(menushadow=='100'){var menushadowvalue=menushadow}else{var menushadowvalue='0.'+menushadow}
if($(window).scrollTop()>20){el.css("background-color",bgcolor_afterscroll);if(bgopacitytwo=='0'||(typeof menushadow=="undefined"&&menushadow==!1)){el.css("box-shadow","none")}else{el.css("box-shadow","0px 1px 3px rgba(0,0,0,"+menushadowvalue+")")}}else{el.css("background-color",bgcolor);if(bgopacityone=='0.0'||(typeof menushadow=="undefined"&&menushadow==!1)){el.css("box-shadow","none")}else{el.css("box-shadow","0px 1px 3px rgba(0,0,0,"+menushadowvalue+")")}}})}}
function t228_createMobileMenu(recid){var window_width=$(window).width(),el=$("#rec"+recid),menu=el.find(".t228"),burger=el.find(".t228__mobile");burger.click(function(e){menu.fadeToggle(300);$(this).toggleClass("t228_opened")})
$(window).bind('resize',t_throttle(function(){window_width=$(window).width();if(window_width>980){menu.fadeIn(0)}},200))}
function t232_expandtext(recid){$("#rec"+recid).find(".t232__text").toggle()}
window.t266showvideo=function(recid){$(document).ready(function(){var el=$('#coverCarry'+recid);var videourl='';var youtubeid=$("#rec"+recid+" .t266__video-container").attr('data-content-popup-video-url-youtube');if(youtubeid>''){videourl='https://www.youtube.com/embed/'+youtubeid}
$("body").addClass("t266__overflow");$("#rec"+recid+" .t266__cover").addClass("t266__hidden");$("#rec"+recid+" .t266__video-container").removeClass("t266__hidden");$("#rec"+recid+" .t266__video-carier").html("<iframe id=\"youtubeiframe"+recid+"\" class=\"t266__iframe\" width=\"100%\" height=\"540\" src=\""+videourl+"?rel=0&autoplay=1\" frameborder=\"0\" allowfullscreen></iframe><a class=\"t266__close-link\" href=\"javascript:t266hidevideo('"+recid+"');\"><div class=\"t266__close\"></div></a>")})}
window.t266hidevideo=function(recid){$(document).ready(function(){$("body").removeClass("t266__overflow");$("#rec"+recid+" .t266__cover").removeClass("t266__hidden");$("#rec"+recid+" .t266__video-container").addClass("t266__hidden");$("#rec"+recid+" .t266__video-carier").html("<div class=\"t266__video-bg2\"></div>")})}
function t391_checkSize(recid){var el=$("#rec"+recid);var cover=el.find('.t-cover');var carrier=el.find('.t-cover__carrier');var filter=el.find('.t-cover__filter');var height=el.find('.t391__firstcol').height()+el.find('.t391__secondcol').height();if(window.matchMedia('(max-width: 960px)').matches&&height>0){cover.css('height',height);carrier.css('height',height);filter.css('height',height)}}
function t509_setHeight(recid){var t509__el=$("#rec"+recid);var t509__image=t509__el.find(".t509__blockimg");t509__image.each(function(){var t509__width=$(this).attr("data-image-width");var t509__height=$(this).attr("data-image-height");var t509__ratio=t509__height/t509__width;var t509__padding=t509__ratio*100;$(this).css("padding-bottom",t509__padding+"%")});if($(window).width()>960){var t509__textwr=t509__el.find(".t509__textwrapper");var t509__deskimg=t509__el.find(".t509__desktopimg");t509__textwr.each(function(){$(this).css("height",t509__deskimg.innerHeight())})}}
function t694_init(recid){t694_setHeight(recid);var t694__doResize;$(window).resize(function(){clearTimeout(t694__doResize);t694__doResize=setTimeout(function(){t694_setHeight(recid)},200)})}
function t694_setHeight(recid){var t694_el=$('#rec'+recid+' .t694'),t694_ratio=t694_el.attr('data-tile-ratio'),t694_ratioHeight=t694_el.find('.t694__col').width()*t694_ratio;if($(window).width()>=768){t694_el.find('.t694__row').each(function(){var t694_largestHeight=0,t694_currow=$(this);$('.t694__table',this).each(function(){var t694_curCol=$(this),t694_curColHeight=t694_curCol.find(".t694__textwrapper").outerHeight();if($(this).find(".t694__cell").hasClass("t694__button-bottom")){t694_curColHeight+=t694_curCol.find(".t694__button-container").outerHeight()}
if(t694_curColHeight>t694_largestHeight){t694_largestHeight=t694_curColHeight}});if(t694_largestHeight>t694_ratioHeight){$('.t694__table',this).css('height',t694_largestHeight)}else{if($('.t694__table',this).css('height')!=''){$('.t694__table',this).css('height','')}}})}else{t694_el.find('.t694__table').css('height','')}}
function t802_insta_init(recid,instauser){var projectid=$('#allrecords').attr('data-tilda-project-id');t802_insta_loadflow(recid,projectid,instauser)}
function t802_insta_loadflow(recid,projectid,instauser){if(instauser==''){var url="https://insta.tildacdn.com/fish/0.json"}else{var url="https://insta.tildacdn.com/json/project"+projectid+"_"+instauser+".json"}
$.ajax({type:"GET",url:url,dataType:"json",success:function(data){if(typeof data=='object'){t802_insta_draw(recid,data)}else{console.log('error. insta flow json not object');console.log(data)}},error:function(){console.log('error load instgram flow')},timeout:1000*90})}
function t802_insta_draw(recid,obj){if(typeof obj.photos=='undefined'){return}
$.each(obj.photos,function(index,item){t802_insta_drawItem(recid,obj.username,item)})}
function t802_insta_drawItem(recid,username,item){var emptyEl=$("#rec"+recid).find(".t802__imgwrapper_empty").first();if(emptyEl.length>0){emptyEl.removeClass("t802__imgwrapper_empty");emptyEl.append('<div class="t802__bgimg" style="background-image:url('+item.url+')"></div>');emptyEl.wrap('<a href="'+item.link+'" target="_blank"></a>');var hoverEl=emptyEl.find(".t802__hover-wrapper");if(hoverEl.length>0&&isMobile==!1){var text=t802_insta_cropText(recid,'@'+username+': '+item.text);hoverEl.append('<div class="t802__hover-filter"></div>');hoverEl.append('<div class="t802__text t-text t-descr_xxs">'+text+'</div>')}}}
function t802_insta_cropText(recid,text){var colsInLine=$("#rec"+recid).find("[data-cols-in-line]").attr("data-cols-in-line");if(colsInLine==6){var maxLength=90}else{var maxLength=130}
if(text.length>maxLength){text=text.substring(0,maxLength);text=text.substring(0,Math.min(maxLength,text.lastIndexOf(" ")));text+=' ...'}
return text}
function t823_onSuccess(form){var inputsWrapper=form.find('.t-form__inputsbox');var inputsHeight=inputsWrapper.height();var inputsOffset=inputsWrapper.offset().top;var inputsBottom=inputsHeight+inputsOffset;var targetOffset=form.find('.t-form__successbox').offset().top;if($(window).width()>960){var target=targetOffset-200}else{var target=targetOffset-100}
if(targetOffset>$(window).scrollTop()||($(document).height()-inputsBottom)<($(window).height()-100)){inputsWrapper.addClass('t823__inputsbox_hidden');setTimeout(function(){if($(window).height()>$('.t-body').height()){$('.t-tildalabel').animate({opacity:0},50)}},300)}else{$('html, body').animate({scrollTop:target},400);setTimeout(function(){inputsWrapper.addClass('t823__inputsbox_hidden')},400)}
var successurl=form.data('success-url');if(successurl&&successurl.length>0){setTimeout(function(){window.location.href=successurl},500)}}
function t829_init(recid){var rec=$('#rec'+recid);var grid=rec.find('.t829__grid');var sizer=rec.find('.t829__grid-sizer');var item=rec.find('.t829__grid-item');var images=rec.find('.t829__grid img');var startContainerWidth=rec.find('.t829__grid-sizer').width();images.load(function(){if(!(grid.hasClass('t829__container_mobile-flex')&&$(window).width()<768)){t829_initMasonry(rec,recid,grid)}});if(!(grid.hasClass('t829__container_mobile-flex')&&$(window).width()<768)){t829_initMasonry(rec,recid,grid);t829_calcColumnWidth(rec,startContainerWidth,grid,sizer,item)}
grid.bind('touchmove scroll',function(){if(typeof $('.t-records').attr('data-tilda-mode')=='undefined'){if(window.lazy=='y'){t_lazyload_update()}}})
$(window).bind('resize',function(){if(typeof window.noAdaptive!="undefined"&&window.noAdaptive==!0&&$isMobile){return}
if(!(grid.hasClass('t829__container_mobile-flex')&&$(window).width()<768)){t829_calcColumnWidth(rec,startContainerWidth,grid,sizer,item)}});$('.t829').bind('displayChanged',function(){if(grid.hasClass('t829__container_mobile-flex')){if($(window).width()>=768){t829_initMasonry(rec,recid,grid)}}else{t829_initMasonry(rec,recid,grid)}
if(!(grid.hasClass('t829__container_mobile-flex')&&$(window).width()<768)){t829_calcColumnWidth(rec,startContainerWidth,grid,sizer,item)}})}
function t829_initMasonry(rec,recid,grid){var $grid=grid;var gutterSizerWidth=rec.find('.t829__gutter-sizer').width();var gutterElement=rec.find('.t829__gutter-sizer').width()==40?39:'#rec'+recid+' .t829__gutter-sizer';$grid.imagesLoaded(function(){$grid.masonry({itemSelector:'#rec'+recid+' .t829__grid-item',columnWidth:'#rec'+recid+' .t829__grid-sizer',gutter:gutterElement,isFitWidth:!0})})}
function t829_calcColumnWidth(rec,startcontainerwidth,grid,sizer,item){var containerWidth=rec.find('.t829__container').width();var sizerWidth=rec.find('.t829__grid-sizer').width();var itemWidth=rec.find('.t829__grid-item').width();var gutterSizerWidth=rec.find('.t829__gutter-sizer').width()==40?39:rec.find('.t829__gutter-sizer').width();var columnAmount=Math.round(containerWidth/startcontainerwidth);var newSizerWidth=((containerWidth-gutterSizerWidth*(columnAmount-1))/columnAmount);newSizerWidth=Math.floor(newSizerWidth);if(containerWidth>=itemWidth){sizer.css('width',newSizerWidth);item.css('width',newSizerWidth)}else{grid.css('width','100%');sizer.css('width','100%');item.css('width','100%')}}